# Module `beautiful.xresources`

Library for getting xrdb data.

### Info:

- Copyright: 2015 Yauhen Kirylau
- Author: Yauhen Kirylau <yawghen@gmail.com>

## Functions

get_current_theme () | Get current base colorscheme from xrdb.
get_dpi ([s]) | Get global or per-screen DPI value falling back to xrdb.
set_dpi (dpi[, s]) | Set DPI for a given screen (defaults to global).
apply_dpi (size[, s]) | Compute resulting size applying current DPI value (optionally per screen).

## Functions

Methods

get_current_theme ()
  Get current base colorscheme from xrdb.

  ### Returns:

  table Color table with keys 'background', 'foreground' and 'color0'..'color15'
get_dpi ([s])
  Get global or per-screen DPI value falling back to xrdb.
  - s integer or screen The screen. (optional)

  ### Returns:

  number DPI value.
set_dpi (dpi[, s])
  Set DPI for a given screen (defaults to global).
  - dpi number DPI value.
  - s integer Screen. (optional)
apply_dpi (size[, s])
  Compute resulting size applying current DPI value (optionally per screen).
  - size number Size
  - s integer or screen The screen. (optional)

  ### Returns:

  integer Resulting size (rounded to integer).

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18